LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XNamingService Interface Referencepublished

allows to insert, remove and access named objects. More...

`import"XNamingService.idl";`

Inheritance diagram for XNamingService:

## Public Member Functions
com::sun::star::uno::XInterface | getRegisteredObject ([in] string Name) raises (Exception)
| provides a previous registered object. More...
void | registerObject ([in]string Name, [in]com::sun::star::uno::XInterface Object) raises (Exception)
| registers one object under the specified name. More...
void | revokeObject ([in]string Name) raises (Exception)
| revokes the registration of an object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to insert, remove and access named objects.

## Member Function Documentation

## ◆ getRegisteredObject()

com::sun::star::uno::XInterface getRegisteredObject | ( | [in] string | Name | ) |
raises | ( | Exception
| ) |  |

provides a previous registered object.

## ◆ registerObject()

void registerObject | ( | [in] string | Name,
|  | [in] com::sun::star::uno::XInterface | Object
| ) |  |
raises | ( | Exception
| ) |  |

registers one object under the specified name.

If any object is registered before, then this object is revoked automatically.

## ◆ revokeObject()

void revokeObject | ( | [in] string | Name | ) |
raises | ( | Exception
| ) |  |

revokes the registration of an object.

If the object was not previously registered, then this call does nothing.

The documentation for this interface was generated from the following file:

- com/sun/star/uno/XNamingService.idl